Bug 808162 - Kickstart created on satellite v 5.3 does not have step to import rpm gpg key.
Kickstart created on satellite v 5.3 does not have step to import rpm gpg key.
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
: Regression
Depends On: 708358 825374
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-03-29 13:51 EDT by Stephen Herr
Modified: 2012-11-01 12:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 708358
Environment:
Last Closed: 2012-11-01 12:19:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2012-03-29 13:51:37 EDT
+++ This bug was initially created as a clone of Bug #708358 +++

Description of problem:
Systems installed from the kickstart created on spacewalk do not have the rpm gpg key imported. 

How reproducible:
Always

Steps to Reproduce:
1. Login to spacewalk WebUI
2. Create kickstart profile for RHEL 5 
3. Check the kickstart file or install a system using this kickstart and check output of 

# rpm -qa | grep gpg 
  
Actual results:
Kickstart file does not contain command to import GPG key.

Expected results:
kickstart installation from spacewalk should import the RHEL rpm gpg key by default.
Comment 1 Stephen Herr 2012-03-29 13:59:28 EDT
Obviously there are many different operating systems that you can install from spacewalk, and each one has their own name for the RPM-GPG-KEY. The desire here is for RHEL kickstarts specifically to auto-import the GPG key, so that's what I've implemented. The code I added will import the RHEL RPM-GPG-KEY if it exists and do nothing if it does not, so this change shouldn't mess up other operating systems.

I briefly considered importing all GPG keys in /etc/pki/rpm-gpg/, but that's not very secure and there's really no guarantee that other operating systems will put there GPG keys there anyway.
Comment 2 Stephen Herr 2012-03-29 14:00:59 EDT
Committed to Spacewalk master: 091f0d2410436170f304d8bd25639f6dbbcac35d
Comment 4 Jan Pazdziora 2012-04-26 03:35:08 EDT
Marcelo provided fix to the fix in bug 816445, committed as
1e417be3c38abb1f9d5768b5124079a44402e2f1.
Comment 5 Jan Pazdziora 2012-10-30 15:24:02 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 6 Jan Pazdziora 2012-11-01 12:19:17 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.